Request Information
URI Parameters :
None.
Body Parameters :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "6332457c-aa38-4ad7-96d1-4f9c2a103ced",
"parent_id": "2cc65d36-22e9-4560-9479-32be53378bd1",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-14T23:05:46.8951774+00:00"
}
Response Information
Resource Description :
db_file_folder| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| parent_id |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
globally unique identifier | |
| parent_reference_back_office |
Reference to a parent folder (in case of Child/Parent) when adding/updating folder |
string | |
| parent_db_file_folder |
Reference to a parent folder (in case of Child/Parent) using embedded entity when adding/updating folder |
db_file_folder | |
| name | string |
Required Max length: 255 |
|
| description |
Description of the folder |
string |
Max length: 255 |
| sequence |
Sorting field (0 first) |
integer | |
| is_sales |
Indicate that this folder should be shown on the Sales environemnt (Company/Contact details) |
boolean | |
| is_services |
Indicate that this folder should be shown on the Services environemnt (Task/Project and Jobs details) |
boolean | |
| is_articles |
Indicate that this folder should be shown on the Article Details |
boolean | |
| reference_back_office | string |
Max length: 255 |
|
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7afeb5c7-9c92-482b-9953-1563125509e9",
"parent_id": "d906906f-4930-4f19-aedb-2c3c88f33fc4",
"parent_reference_back_office": "sample string 3",
"name": "sample string 4",
"description": "sample string 5",
"sequence": 6,
"is_sales": true,
"is_services": true,
"is_articles": true,
"reference_back_office": "sample string 10",
"modified_dateutc": "2026-05-14T23:05:47.082679+00:00"
}